Page MenuHomePhabricator

Build a straw-man DB schema for Multi-Content-Revisions
Closed, ResolvedPublic

Description

To further advance the discussion on MuCoRe, it would be useful to have a working database schema and a way to convert an existing wiki database to that new schema.

The idea is to take a copy of a wiki database, apply the appropriate patches or scripts, and then experiment with the resulting representation of revisions, slots, etc. Making MediaWiki code work with the new DB schema is beyond the scope of this ticket.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
Resolvedcscott
Resolveddaniel
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
ResolvedAbit
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
Resolvedppelberg
ResolvedKrinkle
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolvedbrion
Resolveddaniel

Event Timeline

daniel created this task.Aug 2 2016, 1:42 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 1:42 PM

Change 302056 had a related patch set uploaded (by Daniel Kinzler):
Experiment for multi-content-revision db schema [DNM]

https://gerrit.wikimedia.org/r/302056

Change 302492 had a related patch set uploaded (by Daniel Kinzler):
[WIP] Introduce DAO for revision content storage

https://gerrit.wikimedia.org/r/302492

daniel closed this task as Resolved.Sep 5 2016, 1:29 PM
daniel moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.
daniel added a comment.Sep 5 2016, 3:33 PM

Straw man was created, discussed, and fiddeled with, see http://sqlfiddle.com/#!9/0b847/7

Change 302056 abandoned by Daniel Kinzler:
Experiment for multi-content-revision db schema [DNM]

https://gerrit.wikimedia.org/r/302056

Change 302492 abandoned by Daniel Kinzler:
[WIP] Introduce DAO for revision content storage

https://gerrit.wikimedia.org/r/302492